
Synnefo - Feature # 1743

Status: Closed Priority: High

Author: Vangelis Koukis Category: Cyclades API

Created: 12/06/2011 Assignee: Giorgos Verigakis

Updated: 01/16/2012 Due date: 12/09/2011

Subject: Extend API (e.g., POST /servers) Implementation, support Images on Plankton

Description

Extend implementation of POST /servers in API, support creation of VMs based on IDs coming from Plankton (#989).

Pass a distinct type for Pithos-based images to snf-image, via backend_id.

This should be done without removing support for Images provided by the Image model.

The API implementation should continue to support Image IDs coming over ORM from the Image model in the DB.

Related issues:

related to Synnefo - Feature # 1744: Remove all explicit references to the Im... Closed 12/06/2011 12/09/2011

blocks Synnefo - Feature # 989: Glance API Implementation (Plankton Service) Closed 08/03/2011 11/11/2011

Associated revisions

Revision 3a9b3cde - 12/08/2011 05:03 pm - Giorgos Verigakis

Allow create_server to accept plankton images

Refs #1743

History

#1 - 12/13/2011 05:51 pm - Giorgos Verigakis

create_server can now accept Plankton image ids.

#2 - 01/16/2012 06:24 pm - Vangelis Koukis

- Status changed from Assigned to Closed
